Package org.drinkless.tdlib

# Class TdApi.AnswerCallbackQuery

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.AnswerCallbackQuery

Enclosing class:
  `TdApi`

public static class TdApi.AnswerCallbackQuery extends TdApi.Function<TdApi.Ok>
Sets the result of a callback query; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cacheTime`
  Time during which the result of the query can be cached, in seconds.
  `long`
  `callbackQueryId`
  Identifier of the callback query.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `showAlert`
  Pass true to show an alert to the user instead of a toast notification.
  `String`
  `text`
  Text of the answer.
  `String`
  `url`
  URL to be opened.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnswerCallbackQuery()`
  Default constructor for a function, which sets the result of a callback query; for bots only.
  `AnswerCallbackQuery(long callbackQueryId, String text, boolean showAlert, String url, int cacheTime)`
  Creates a function, which sets the result of a callback query; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### callbackQueryId

    public long callbackQueryId
    Identifier of the callback query.

  - ### text

    public String text
    Text of the answer.

  - ### showAlert

    public boolean showAlert
    Pass true to show an alert to the user instead of a toast notification.

  - ### url

    public String url
    URL to be opened.

  - ### cacheTime

    public int cacheTime
    Time during which the result of the query can be cached, in seconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AnswerCallbackQuery

    public AnswerCallbackQuery()
    Default constructor for a function, which sets the result of a callback query; for bots only.

    Returns `Ok`

  - ### AnswerCallbackQuery

    public AnswerCallbackQuery(long callbackQueryId, String text, boolean showAlert, String url, int cacheTime)
    Creates a function, which sets the result of a callback query; for bots only.

    Returns `Ok`

    Parameters:
      `callbackQueryId` - Identifier of the callback query.
      `text` - Text of the answer.
      `showAlert` - Pass true to show an alert to the user instead of a toast notification.
      `url` - URL to be opened.
      `cacheTime` - Time during which the result of the query can be cached, in seconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR